package com.tzld.piaoquan.recommend.framework.common.user;



import com.tzld.piaoquan.recommend.framework.common.item.Item;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

/**
 * @author sunmingze
 * @date 2023/11/27
 */
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class UserAttention {
    /*
     * attention 抽取子策略，得到用户近期行为list
     */

    /**
     * 1h 内的数据
     */
    private List<Item> hour1ViewItems;
    private List<Item> hour1ClickItems;
    private List<Item> hour1RealPlayItems;
    private List<Item> hour1ShareItems;

    /**
     * 24h 内的数据
     */
    private List<Item> hour24ViewItems;
    private List<Item> hour24ClickItems;
    private List<Item> hour24RealPlayItems;
    private List<Item> hour24ShareItems;


}