package com.tzld.piaoquan.recommend.framework.retrieve.candidate;


import com.google.gson.Gson;


public class CandidateInfo {
    private String candidate_queue;     // 召回队列
    private int position;               // 在召回队列中的位置
    private Candidate candidate;        // 召回配置的信息

    public CandidateInfo() {
    }

    public CandidateInfo(CandidateInfo other) {
        this.candidate_queue = other.getCandidate_queue();
        this.position = other.getPosition();
        this.candidate = other.candidate != null ? new Candidate(other.candidate) : null;
    }

    public CandidateInfo deepcopy() {
        return new CandidateInfo(this);
    }

    public Candidate getCandidate() {
        return candidate;
    }

    public void setCandidate(Candidate candidate) {
        this.candidate = candidate;
    }

    public String getCandidate_queue() {
        return candidate_queue;
    }

    public void setCandidate_queue(String candidate_queue) {
        this.candidate_queue = candidate_queue;
    }

    public int getPosition() {
        return position;
    }

    public void setPosition(int position) {
        this.position = position;
    }

    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
