package com.tzld.piaoquan.recommend.framework.utils;


import com.tzld.piaoquan.recommend.framework.retrieve.candidate.QueueName;
import com.tzld.piaoquan.recommend.server.gen.recommend.RecommendRequest;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Map;
import java.util.Queue;


public class CandidateQueueManager {
    private static final Logger LOGGER = LoggerFactory.getLogger(CandidateQueueManager.class);

    public static final String ORDER_PUBLISH_TIME = "publishtime";

    public static void addVersion(QueueName original, RecommendRequest requestData) {
        String version = "10000";
    }

    public static String getItemType(RecommendRequest requestData) {
        return "";
    }

    // category
    public static QueueName getCategoryNewQueue(RecommendRequest requestData, String category) {
        QueueName queueName = new QueueName(getItemType(requestData), "publishtime")
                .addMatch("type", "news_category")
                .addMatch("category", category);
        return queueName;
    }


    // subcategory
    public static QueueName getSubCategoryCtrQueue(RecommendRequest requestData, String subCategory) {
        QueueName queueName = new QueueName(getItemType(requestData), "ctr")
                .addMatch("type", "news_subcategory")
                .addMatch("subcategory", subCategory);
        return queueName;
    }




}
