package com.tzld.piaoquan.recommend.framework.common.item;


import java.util.Map;
import java.util.ArrayList;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class ItemInfo {
    String id;      //item的id
    String title;
    long add_time;
    Map<String, Double> category;
    Map<String, Double> keywords;
    Map<String, Double> extract_words; //提取的关键词
    ArrayList<String> vectors; // 向量化信息

}
