package com.tzld.piaoquan.recommend.framework.merger;


import java.util.*;


public class StrategyQueueInfo {
    private String queueName;

    private boolean isLeaf = false;

    private String queueClass; // Full path of StrategyQueue Class

    private List<MergeRule> rulesList;

    private Set<String> children;

    public StrategyQueueInfo(String name) {
        this.queueName = name;
        rulesList = new LinkedList<MergeRule>();
        children = new HashSet<String>();
    }

    public String getQueueName() {
        return queueName;
    }

    public boolean isLeaf() {
        return isLeaf;
    }

    public void setLeaf(boolean leaf) {
        isLeaf = leaf;
    }


    public String getQueueClass() {
        return queueClass;
    }

    public void setQueueClass(String queueClass) {
        this.queueClass = queueClass;
    }

    public void addRule(MergeRule rule) {
        this.rulesList.add(rule);
    }

    public List<MergeRule> getRulesList() {
        return rulesList;
    }

    public void addChild(String childName) {
        this.children.add(childName);
    }

    public Set<String> getChildren() {
        return children;
    }
}




