package com.tzld.piaoquan.recommend.framework.retrieve.candidate;

import com.google.gson.Gson;

public class Candidate {
    private String candidateKey;
    private int candidateNum;
    private QueueName candidateQueueName;
    private String mergeQueueName;
    private int mergeQueueNum;

    public Candidate() {
    }

    public Candidate(Candidate other) {
        this.candidateKey = other.getCandidateKey();
        this.candidateNum = other.getCandidateNum();
        this.candidateQueueName = other.getCandidateQueueName();
        this.mergeQueueName = other.getQueue();
        this.mergeQueueNum = other.getMergeQueueNum();
    }

    public Candidate deepcopy() {
        return new Candidate(this);
    }

    public int getMergeQueueNum() {
        return mergeQueueNum;
    }

    public void setMergeQueueNum(int mergeQueueNum) {
        this.mergeQueueNum = mergeQueueNum;
    }

    public String getCandidateKey() {
        return candidateKey;
    }

    public void setCandidateKey(String candidateKey) {
        this.candidateKey = candidateKey;
    }

    public int getCandidateNum() {
        return candidateNum;
    }

    public void setCandidateNum(int candidateNum) {
        this.candidateNum = candidateNum;
    }

    public String getQueue() {
        return mergeQueueName;
    }

    public void setQueue(String queue) {
        this.mergeQueueName = queue;
    }

    public QueueName getCandidateQueueName() {
        return candidateQueueName;
    }

    public void setCandidateQueueName(QueueName candidateQueueName) {
        this.candidateQueueName = candidateQueueName;
    }

    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}

