package com.tzld.piaoquan.recommend.framework.retrieve.candidate;



import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.TimeUnit;


public interface QueueProvider<T> {

    Queue<T> load(QueueName name) throws Exception;

    long dbSize();


    String get(QueueName name) throws Exception;

    Map<QueueName, Queue<T>> loads(List<QueueName> names) throws Exception;

    Map<QueueName, Queue<T>> loads(List<QueueName> names, long timeout, TimeUnit timeUnit) throws Exception;
}
